scala.collection.GenSeqViewLike

# Reversed

#### trait Reversed extends Transformed[A]

Source
  GenSeqViewLike.scala

Linear Supertypes
Transformed[A], GenSeqViewLike.Transformed[A], GenSeqViewLike.Transformed[A], GenSeqView[A, Coll], GenSeqViewLike[A, Coll, GenSeqView[A, Coll]], GenIterableView[A, Coll], GenIterableViewLike[A, Coll, GenSeqView[A, Coll]], GenTraversableView[A, Coll], GenTraversableViewLike[A, Coll, GenSeqView[A, Coll]], GenSeq[A], GenIterable[A], GenTraversable[A], GenericTraversableTemplate[A, GenSeq], HasNewBuilder[A, GenSeq[A]], GenSeqLike[A, GenSeqView[A, Coll]], Equals, GenIterableLike[A, GenSeqView[A, Coll]], GenTraversableLike[A, GenSeqView[A, Coll]], Parallelizable[A, ParSeq[A]], GenTraversableOnce[A], AnyRef, Any
Known Subclasses
Reversed, Reversed, Reversed, Reversed
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Reversed
2. Transformed
3. Transformed
4. Transformed
5. GenSeqView
6. GenSeqViewLike
7. GenIterableView
8. GenIterableViewLike
9. GenTraversableView
10. GenTraversableViewLike
11. GenSeq
12. GenIterable
13. GenTraversable
14. GenericTraversableTemplate
15. HasNewBuilder
16. GenSeqLike
17. Equals
18. GenIterableLike
19. GenTraversableLike
20. Parallelizable
21. GenTraversableOnce
22. AnyRef
23. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Appended [B >: A] extends GenSeqViewLike.Appended[B] with Transformed[B]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

2. #### trait DroppedWhile extends GenSeqViewLike.DroppedWhile with Transformed[A]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

3. #### trait EmptyView extends Transformed[Nothing] with GenSeqViewLike.EmptyView

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

4. #### trait Filtered extends GenSeqViewLike.Filtered with Transformed[A]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

5. #### trait FlatMapped [B] extends GenSeqViewLike.FlatMapped[B] with Transformed[B]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

6. #### trait Forced [B] extends GenSeqViewLike.Forced[B] with Transformed[B]

   A fall back which forces everything into a vector and then applies an operation on it.

7. #### trait Mapped [B] extends GenSeqViewLike.Mapped[B] with Transformed[B]

   Definition Classes
     GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

8. #### trait Patched [B >: A] extends Transformed[B]

   Definition Classes
     GenSeqViewLike

9. #### trait Prepended [B >: A] extends Transformed[B]

   Definition Classes
     GenSeqViewLike

10. #### trait Reversed extends Transformed[A]

    Definition Classes
      GenSeqViewLike

11. #### trait Sliced extends GenSeqViewLike.Sliced with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

12. #### trait TakenWhile extends GenSeqViewLike.TakenWhile with Transformed[A]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike → GenTraversableViewLike

13. #### trait Transformed [+B] extends GenSeqView[B, Coll] with GenSeqViewLike.Transformed[B]

    The implementation base trait of this view.

14. #### trait Zipped [B] extends GenSeqViewLike.Zipped[B] with Transformed[(A, B)]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike

15. #### trait ZippedAll [A1 >: A, B] extends GenSeqViewLike.ZippedAll[A1, B] with Transformed[(A1, B)]

    Definition Classes
      GenSeqViewLike → GenIterableViewLike

### Abstract Value Members

1. #### abstract def /:[B](z: B)(op: (B, A) ⇒ B): B

   Applies a binary operator to a start value and all elements of this collection, going left to right.

   Applies a binary operator to a start value and all elements of this collection, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this collection, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this collection.

   Definition Classes
     GenTraversableOnce

2. #### abstract def :\[B](z: B)(op: (A, B) ⇒ B): B

   Applies a binary operator to all elements of this collection and a start value, going right to left.

   Applies a binary operator to all elements of this collection and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this collection, going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this collection.

   Definition Classes
     GenTraversableOnce

3. #### abstract def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

   Aggregates the results of applying an operator to subsequent elements.

   Aggregates the results of applying an operator to subsequent elements.

   This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

   For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

       pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

   Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

   B

     the type of accumulated results

   z

     the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

   seqop

     an operator used to accumulate results within a partition

   combop

     an associative operator used to combine results from different partitions

   Definition Classes
     GenTraversableOnce

4. #### abstract def canEqual(that: Any): Boolean

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

   that

     the value being probed for possible equality

   returns

     true if this instance can possibly equal `that`, otherwise false

   Definition Classes
     Equals

5. #### abstract def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

   Definition Classes
     GenTraversableOnce

6. #### abstract def corresponds[B](that: GenSeq[B])(p: (A, B) ⇒ Boolean): Boolean

   Tests whether every element of this collection relates to the corresponding element of another sequence by satisfying a test predicate.

   Tests whether every element of this collection relates to the corresponding element of another sequence by satisfying a test predicate.

   B

     the type of the elements of `that`

   that

     the other sequence

   p

     the test predicate, which relates elements from both sequences

   returns

     `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this collection and `y` of `that`, otherwise `false`.

   Definition Classes
     GenSeqLike

7. #### abstract def count(p: (A) ⇒ Boolean): Int

   Counts the number of elements in the collection which satisfy a predicate.

   Counts the number of elements in the collection which satisfy a predicate.

   p

     the predicate used to test elements.

   returns

     the number of elements satisfying the predicate `p`.

   Definition Classes
     GenTraversableOnce

8. #### abstract def distinct: GenSeqView[A, Coll]

   Builds a new collection from this collection without any duplicate elements.

   Builds a new collection from this collection without any duplicate elements.

   Note: will not terminate for infinite-sized collections.

   returns

     A new collection which contains the first occurrence of every element of this collection.

   Definition Classes
     GenSeqLike

9. #### abstract def drop(n: Int): GenSeqView[A, Coll]

   Selects all elements except first n ones.

   Selects all elements except first n ones.

   Note: might return different results for different runs, unless the underlying collection type is ordered.

   n

     the number of elements to drop from this collection.

   returns

     a collection consisting of all elements of this collection except the first `n` ones, or else the empty collection, if this collection has less than `n` elements.

   Definition Classes
     GenTraversableLike

10. #### abstract def dropWhile(pred: (A) ⇒ Boolean): GenSeqView[A, Coll]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      The predicate used to test elements.

    returns

      the longest suffix of this collection whose first element does not satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

11. #### abstract def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this collection ends with the given sequence.

    Tests whether this collection ends with the given sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this collection has `that` as a suffix, `false` otherwise.

    Definition Classes
      GenSeqLike

12. #### abstract def exists(pred: (A) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

13. #### abstract def filter(pred: (A) ⇒ Boolean): GenSeqView[A, Coll]

    Selects all elements of this collection which satisfy a predicate.

    Selects all elements of this collection which satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new collection consisting of all elements of this collection that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

14. #### abstract def filterNot(pred: (A) ⇒ Boolean): GenSeqView[A, Coll]

    Selects all elements of this collection which do not satisfy a predicate.

    Selects all elements of this collection which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new collection consisting of all elements of this collection that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

15. #### abstract def find(pred: (A) ⇒ Boolean): Option[A]

    Finds the first element of the collection satisfying a predicate, if any.

    Finds the first element of the collection satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the predicate used to test elements.

    returns

      an option value containing the first element in the collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      GenTraversableOnce

16. #### abstract def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this collection using the specified associative binary operator.

    Folds the elements of this collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      GenTraversableOnce

17. #### abstract def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this collection, going left to right.

    Applies a binary operator to a start value and all elements of this collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this collection, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this collection.

    Definition Classes
      GenTraversableOnce

18. #### abstract def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this collection and a start value, going right to left.

    Applies a binary operator to all elements of this collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this collection.

    Definition Classes
      GenTraversableOnce

19. #### abstract def forall(pred: (A) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

20. #### abstract def force[B >: A, That](implicit bf: CanBuildFrom[Coll, B, That]): That

    Definition Classes
      GenTraversableViewLike

21. #### abstract def groupBy[K](f: (A) ⇒ K): GenMap[K, GenSeqView[A, Coll]]

    Partitions this collection into a map of collections according to some discriminator function.

    Partitions this collection into a map of collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to collections such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      GenTraversableLike

22. #### abstract def hasDefiniteSize: Boolean

    Definition Classes
      GenTraversableOnce

23. #### abstract def head: A

    Selects the first element of this collection.

    Selects the first element of this collection.

    returns

      the first element of this collection.

    Definition Classes
      GenericTraversableTemplate
    Exceptions thrown
      `NoSuchElementException`

      if the collection is empty.

24. #### abstract def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this collection if it is nonempty, `None` if it is empty.

    Definition Classes
      GenTraversableLike

25. #### abstract def indexWhere(p: (A) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this collection that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

26. #### abstract def init: GenSeqView[A, Coll]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a collection consisting of all elements of this collection except the last one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the collection is empty.

27. #### abstract def isTraversableAgain: Boolean

    Tests whether this collection can be repeatedly traversed.

    Tests whether this collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

28. #### abstract def last: A

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this collection.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the collection is empty.

29. #### abstract def lastIndexWhere(p: (A) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this collection that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

30. #### abstract def lastOption: Option[A]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this collection$ if it is nonempty, `None` if it is empty.

    Definition Classes
      GenTraversableLike

31. #### abstract def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      GenTraversableOnce

32. #### abstract def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      GenTraversableOnce

33. #### abstract def mkString: String

    Displays all elements of this collection in a string.

    Displays all elements of this collection in a string.

    returns

      a string representation of this collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this collection follow each other without any separator string.

    Definition Classes
      GenTraversableOnce

34. #### abstract def mkString(sep: String): String

    Displays all elements of this collection in a string using a separator string.

    Displays all elements of this collection in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this collection are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

35. #### abstract def mkString(start: String, sep: String, end: String): String

    Displays all elements of this collection in a string using start, end, and separator strings.

    Displays all elements of this collection in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this collection are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

36. #### abstract def nonEmpty: Boolean

    Tests whether the collection is not empty.

    Tests whether the collection is not empty.

    returns

      `true` if the collection contains at least one element, `false` otherwise.

    Definition Classes
      GenTraversableOnce

37. #### abstract def parCombiner: Combiner[A, ParSeq[A]]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      Parallelizable

38. #### abstract def partition(pred: (A) ⇒ Boolean): (GenSeqView[A, Coll], GenSeqView[A, Coll])

    Partitions this collection in two collections according to a predicate.

    Partitions this collection in two collections according to a predicate.

    pred

      the predicate on which to partition.

    returns

      a pair of collections: the first collection consists of all elements that satisfy the predicate `p` and the second collection consists of all elements that don't. The relative order of the elements in the resulting collections may not be preserved.

    Definition Classes
      GenTraversableLike

39. #### abstract def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

    Reduces the elements of this collection using the specified associative binary operator.

    Reduces the elements of this collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the collection is nonempty.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      UnsupportedOperationException

      if this collection is empty.

40. #### abstract def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this collection, going left to right.

    Optionally applies a binary operator to all elements of this collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this collection is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

41. #### abstract def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

    Reduces the elements of this collection, if any, using the specified associative binary operator.

    Reduces the elements of this collection, if any, using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      GenTraversableOnce

42. #### abstract def reduceRight[B >: A](op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this collection, going right to left.

    Applies a binary operator to all elements of this collection, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this collection, going right to left:

          op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

      where `x1, ..., xn` are the elements of this collection.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      `UnsupportedOperationException`

      if this collection is empty.

43. #### abstract def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this collection, going right to left.

    Optionally applies a binary operator to all elements of this collection, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this collection is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

44. #### abstract def repr: GenSeqView[A, Coll]

    Definition Classes
      GenTraversableLike

45. #### abstract def reverse: GenSeqView[A, Coll]

    Returns new collection wih elements in reversed order.

    Returns new collection wih elements in reversed order.

    Note: will not terminate for infinite-sized collections.

    returns

      A new collection with all elements of this collection in reversed order.

    Definition Classes
      GenSeqLike

46. #### abstract def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

    Computes a prefix scan of the elements of the collection.

    Computes a prefix scan of the elements of the collection.

    Note: The neutral element `z` may be applied more than once.

    B

      element type of the resulting collection

    That

      type of the resulting collection

    z

      neutral element for the operator `op`

    op

      the associative operator for the scan

    cbf

      combiner factory which provides a combiner

    returns

      a new collection containing the prefix scan of the elements in this collection

    Definition Classes
      GenTraversableLike

47. #### abstract def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

    Produces a collection containing cumulative results of applying the operator going left to right.

    Produces a collection containing cumulative results of applying the operator going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike

48. #### abstract def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

    Produces a collection containing cumulative results of applying the operator going right to left.

    Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Example:

        List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

49. #### abstract def segmentLength(p: (A) ⇒ Boolean, from: Int): Int

    Computes length of longest segment whose elements all satisfy some predicate.

    Computes length of longest segment whose elements all satisfy some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the index where the search starts.

    returns

      the length of the longest segment of this collection starting from index `from` such that every element of the segment satisfies the predicate `p`.

    Definition Classes
      GenSeqLike

50. #### abstract def seq: Seq[A]

    Definition Classes
      GenSeq → GenIterable → GenTraversable → GenSeqLike → Parallelizable → GenTraversableOnce

51. #### abstract def size: Int

    The size of this collection.

    The size of this collection.

    Note: will not terminate for infinite-sized collections.

    returns

      the number of elements in this collection.

    Definition Classes
      GenTraversableLike → GenTraversableOnce

52. #### abstract def slice(unc_from: Int, unc_until: Int): GenSeqView[A, Coll]

    Selects an interval of elements.

    Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

        from <= indexOf(x) < until

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    unc_from

      the lowest index to include from this collection.

    unc_until

      the lowest index to EXCLUDE from this collection.

    returns

      a collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this collection.

    Definition Classes
      GenTraversableLike

53. #### abstract def span(pred: (A) ⇒ Boolean): (GenSeqView[A, Coll], GenSeqView[A, Coll])

    Splits this collection into a prefix/suffix pair according to a predicate.

    Splits this collection into a prefix/suffix pair according to a predicate.

    Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the test predicate

    returns

      a pair consisting of the longest prefix of this collection whose elements all satisfy `p`, and the rest of this collection.

    Definition Classes
      GenTraversableLike

54. #### abstract def splitAt(n: Int): (GenSeqView[A, Coll], GenSeqView[A, Coll])

    Splits this collection into two at a given position.

    Splits this collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the position at which to split.

    returns

      a pair of collections consisting of the first `n` elements of this collection, and the other elements.

    Definition Classes
      GenTraversableLike

55. #### abstract def startsWith[B](that: GenSeq[B], offset: Int): Boolean

    Tests whether this collection contains the given sequence at a given index.

    Tests whether this collection contains the given sequence at a given index.

    Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

    that

      the sequence to test

    offset

      the index where the sequence is searched.

    returns

      `true` if the sequence `that` is contained in this collection at index `offset`, otherwise `false`.

    Definition Classes
      GenSeqLike

56. #### abstract def tail: GenSeqView[A, Coll]

    Selects all elements except the first.

    Selects all elements except the first.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a collection consisting of all elements of this collection except the first one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the collection is empty.

57. #### abstract def take(n: Int): GenSeqView[A, Coll]

    Selects first n elements.

    Selects first n elements.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to take from this collection.

    returns

      a collection consisting only of the first `n` elements of this collection, or else the whole collection, if it has less than `n` elements.

    Definition Classes
      GenTraversableLike

58. #### abstract def takeWhile(pred: (A) ⇒ Boolean): GenSeqView[A, Coll]

    Takes longest prefix of elements that satisfy a predicate.

    Takes longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      The predicate used to test elements.

    returns

      the longest prefix of this collection whose elements all satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

59. #### abstract def toBuffer[A1 >: A]: Buffer[A1]

    Converts this collection to a mutable buffer.

    Converts this collection to a mutable buffer.

    Note: will not terminate for infinite-sized collections.

    returns

      a buffer containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

60. #### abstract def toIndexedSeq: immutable.IndexedSeq[A]

    Converts this collection to an indexed sequence.

    Converts this collection to an indexed sequence.

    Note: will not terminate for infinite-sized collections.

    returns

      an indexed sequence containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

61. #### abstract def toIterable: GenIterable[A]

    Converts this collection to an iterable collection.

    Converts this collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

    Note: will not terminate for infinite-sized collections.

    returns

      an `Iterable` containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

62. #### abstract def toIterator: Iterator[A]

    Returns an Iterator over the elements in this collection.

    Returns an Iterator over the elements in this collection. Will return the same Iterator if this instance is already an Iterator.

    Note: will not terminate for infinite-sized collections.

    returns

      an Iterator containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

63. #### abstract def toList: List[A]

    Converts this collection to a list.

    Converts this collection to a list.

    Note: will not terminate for infinite-sized collections.

    returns

      a list containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

64. #### abstract def toSeq: GenSeq[A]

    Converts this collection to a sequence.

    Converts this collection to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

    Note: will not terminate for infinite-sized collections.

    returns

      a sequence containing all elements of this collection.

    Definition Classes
      GenSeqLike → GenTraversableOnce

65. #### abstract def toSet[A1 >: A]: GenSet[A1]

    Converts this collection to a set.

    Converts this collection to a set.

    Note: will not terminate for infinite-sized collections.

    returns

      a set containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

66. #### abstract def toStream: Stream[A]

    Converts this collection to a stream.

    Converts this collection to a stream.

    Note: will not terminate for infinite-sized collections.

    returns

      a stream containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

67. #### abstract def toTraversable: GenTraversable[A]

    Converts this collection to an unspecified Traversable.

    Converts this collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

    Note: will not terminate for infinite-sized collections.

    returns

      a Traversable containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

68. #### abstract def toVector: Vector[A]

    Converts this collection to a Vector.

    Converts this collection to a Vector.

    Note: will not terminate for infinite-sized collections.

    returns

      a vector containing all elements of this collection.

    Definition Classes
      GenTraversableOnce

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Reversed to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### abstract def ++[B](that: GenTraversableOnce[B]): CC[B]

   [use case] Returns a new collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the collection is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection which contains all elements of this collection followed by all elements of `that`.

   Definition Classes
     GenTraversableLike
   Full Signature

   #### abstract def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

6. #### abstract def +:(elem: A): CC[A]

   [use case] A copy of the collection with an element prepended.

   [use case]

   A copy of the collection with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original collection is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new collection consisting of `elem` followed by all elements of this collection.

   Definition Classes
     GenSeqLike
   Full Signature

   #### abstract def +:[B >: A, That](elem: B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

7. #### def ->[B](y: B): (Reversed, B)

   Implicit information
     This member is added by an implicit conversion from Reversed to ArrowAssoc[Reversed] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

8. #### abstract def :+(elem: A): CC[A]

   [use case] A copy of this collection with an element appended.

   [use case]

   A copy of this collection with an element appended.

   A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Note: will not terminate for infinite-sized collections.

   Example:

       scala> import scala.collection.mutable.LinkedList
       import scala.collection.mutable.LinkedList

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = a :+ 2
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> println(a)
       LinkedList(1)

   elem

     the appended element

   returns

     a new collection consisting of all elements of this collection followed by `elem`.

   Definition Classes
     GenSeqLike
   Full Signature

   #### abstract def :+[B >: A, That](elem: B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

9. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

11. #### def apply(idx: Int): A

    Selects an element by its index in the collection.

    Selects an element by its index in the collection.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    idx

      The index to select.

    returns

      the element of this collection at index `idx`, where `0` indicates the first element.

    Definition Classes
      Reversed → Transformed → GenSeqLike
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

13. #### def asParIterable: ParIterable[A]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

14. #### def asParSeq: ParSeq[A]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

16. #### abstract def collect[B](pf: PartialFunction[A, B]): CC[B]

    [use case] Builds a new collection by applying a partial function to all elements of this collection on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this collection on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the collection.

    returns

      a new collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

17. #### def companion: GenericCompanion[GenSeq]

    The factory companion object that builds instances of class CC.

    The factory companion object that builds instances of class CC. (or its `Iterable` superclass where class CC is not a `Seq`.)

    Definition Classes
      GenSeq → GenIterable → GenTraversable → GenericTraversableTemplate

18. #### abstract def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this collection to an array.

    [use case]

    Copies values of this collection to an array. Fills the given array `xs` with values of this collection, beginning at index `start`. Copying will stop once either the end of the current collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: A](xs: Array[B], start: Int): Unit

19. #### abstract def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this collection to an array.

    [use case]

    Copies values of this collection to an array. Fills the given array `xs` with values of this collection. Copying will stop once either the end of the current collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: A](xs: Array[B]): Unit

20. #### abstract def diff(that: GenSeq[A]): CC[A]

    [use case] Computes the multiset difference between this collection and another sequence.

    [use case]

    Computes the multiset difference between this collection and another sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence of elements to remove

    returns

      a new collection which contains all elements of this collection except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      GenSeqLike
    Full Signature

    #### abstract def diff[B >: A](that: GenSeq[B]): GenSeqView[A, Coll]

21. #### def ensuring(cond: (Reversed) ⇒ Boolean, msg: ⇒ Any): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: (Reversed) ⇒ Boolean): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean, msg: ⇒ Any): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean): Reversed

    Implicit information
      This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

26. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

27. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

28. #### abstract def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): CC[B]

    [use case] Builds a new collection by applying a function to all elements of this collection and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this collection and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of collection. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection resulting from applying the given collection-valued function `f` to each element of this collection and concatenating the results.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

29. #### def flatten[B]: CC[B]

    [use case] Converts this collection of traversable collections into a collection formed by the elements of these traversable collections.

    [use case]

    Converts this collection of traversable collections into a collection formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of collection. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new collection resulting from concatenating all element collections.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): GenSeq[B]

30. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case]

    [use case]
    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Transformed → Transformed → GenericTraversableTemplate → GenTraversableLike → GenTraversableOnce
    Full Signature

    #### def foreach[U](f: (A) ⇒ U): Unit

31. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Reversed to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

32. #### def genericBuilder[B]: Builder[B, GenSeq[B]]

    The generic builder that builds instances of CC at arbitrary element types.

    The generic builder that builds instances of CC at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

33. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

34. #### def hashCode(): Int

    Hashcodes for CC produce a value from the hashcodes of all the elements of the collection.

    Hashcodes for CC produce a value from the hashcodes of all the elements of the collection.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → Any

35. #### def ifParSeq[R](isbody: (ParSeq[A]) ⇒ R): (TraversableOps[A])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

36. #### def indexOf(elem: A, from: Int): Int

    [use case] Finds index of first occurrence of some value in this collection after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this collection after or at some start index.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this collection that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: A](elem: B, from: Int): Int

37. #### def indexOf(elem: A): Int

    [use case] Finds index of first occurrence of some value in this collection.

    [use case]

    Finds index of first occurrence of some value in this collection.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the first element of this collection that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: A](elem: B): Int

38. #### def indexWhere(p: (A) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this collection that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

39. #### abstract def intersect(that: GenSeq[A]): CC[A]

    [use case] Computes the multiset intersection between this collection and another sequence.

    [use case]

    Computes the multiset intersection between this collection and another sequence.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence of elements to intersect with.

    returns

      a new collection which contains all elements of this collection which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      GenSeqLike
    Full Signature

    #### abstract def intersect[B >: A](that: GenSeq[B]): GenSeqView[A, Coll]

40. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this collection contains given index.

    Tests whether this collection contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this collection contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

41. #### def isEmpty: Boolean

    Tests whether this collection is empty.

    Tests whether this collection is empty.

    returns

      `true` if the collection contain no elements, `false` otherwise.

    Definition Classes
      Transformed → GenericTraversableTemplate → GenTraversableOnce

42. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

43. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

44. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

45. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

46. #### def iterator: Iterator[A]

    Definition Classes
      Reversed → Transformed → GenIterableLike

47. #### def lastIndexOf(elem: A, end: Int): Int

    [use case] Finds index of last occurrence of some value in this collection before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this collection before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this collection that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: A](elem: B, end: Int): Int

48. #### def lastIndexOf(elem: A): Int

    [use case] Finds index of last occurrence of some value in this collection.

    [use case]

    Finds index of last occurrence of some value in this collection.

    Note: will not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the last element of this collection that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: A](elem: B): Int

49. #### def lastIndexWhere(p: (A) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this collection that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

50. #### def length: Int

    The length of the collection.

    The length of the collection.

    Note: will not terminate for infinite-sized collections.

    Note: `xs.length` and `xs.size` yield the same result.

    returns

      the number of elements in this collection.

    Definition Classes
      Reversed → Transformed → GenSeqLike

51. #### abstract def map[B](f: (A) ⇒ B): CC[B]

    [use case] Builds a new collection by applying a function to all elements of this collection.

    [use case]

    Builds a new collection by applying a function to all elements of this collection.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection resulting from applying the given function `f` to each element of this collection and collecting the results.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

52. #### abstract def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def max[A1 >: A](implicit ord: Ordering[A1]): A

53. #### abstract def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this collection

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def min[A1 >: A](implicit ord: Ordering[A1]): A

54. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

55. #### def newBuilder: Builder[A, GenSeq[A]]

    The builder that builds instances of type CC[A]

    The builder that builds instances of type CC[A]

    Attributes
      protected[this]
    Definition Classes
      GenericTraversableTemplate → HasNewBuilder

56. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

57. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

58. #### abstract def padTo(len: Int, elem: A): CC[A]

    [use case] A copy of this collection with an element value appended until a given target length is reached.

    [use case]

    A copy of this collection with an element value appended until a given target length is reached.

    len

      the target length

    elem

      the padding value

    returns

      a new collection consisting of all elements of this collection followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

    Definition Classes
      GenSeqLike
    Full Signature

    #### abstract def padTo[B >: A, That](len: Int, elem: B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

59. #### def par: ParSeq[A]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

60. #### abstract def patch(from: Int, that: GenSeq[A], replaced: Int): CC[A]

    [use case] Produces a new collection where a slice of elements in this collection is replaced by another sequence.

    [use case]

    Produces a new collection where a slice of elements in this collection is replaced by another sequence.

    from

      the index of the first replaced element

    replaced

      the number of elements to drop in the original collection

    returns

      a new collection consisting of all elements of this collection except that `replaced` elements starting from `from` are replaced by `patch`.

    Definition Classes
      GenSeqLike
    Full Signature

    #### abstract def patch[B >: A, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

61. #### def prefixLength(p: (A) ⇒ Boolean): Int

    Returns the length of the longest prefix whose elements all satisfy some predicate.

    Returns the length of the longest prefix whose elements all satisfy some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the length of the longest prefix of this collection such that every element of the segment satisfies the predicate `p`.

    Definition Classes
      GenSeqLike

62. #### abstract def product: A

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the collection and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def product[A1 >: A](implicit num: Numeric[A1]): A1

63. #### abstract def reverseMap[B](f: (A) ⇒ B): CC[B]

    [use case] Builds a new collection by applying a function to all elements of this collection and collecting the results in reversed order.

    [use case]

    Builds a new collection by applying a function to all elements of this collection and collecting the results in reversed order.

    Note: will not terminate for infinite-sized collections.

    Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection resulting from applying the given function `f` to each element of this collection and collecting the results in reversed order.

    Definition Classes
      GenSeqLike
    Full Signature

    #### abstract def reverseMap[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

64. #### abstract def sameElements(that: GenIterable[A]): Boolean

    [use case] Checks if the other iterable collection contains the same elements in the same order as this collection.

    [use case]

    Checks if the other iterable collection contains the same elements in the same order as this collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Note: will not terminate for infinite-sized collections.

    that

      the collection to compare with.

    returns

      `true`, if both collections contain the same elements in the same order, `false` otherwise.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def sameElements[A1 >: A](that: GenIterable[A1]): Boolean

65. #### def startsWith[B](that: GenSeq[B]): Boolean

    Tests whether this collection starts with the given sequence.

    Tests whether this collection starts with the given sequence.

    that

      the sequence to test

    returns

      `true` if this collection has `that` as a prefix, `false` otherwise.

    Definition Classes
      GenSeqLike

66. #### def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this collection. By default the string prefix is the simple name of the collection class collection.

    Definition Classes
      Transformed → GenTraversableLike

67. #### abstract def sum: A

    [use case] Sums up the elements of this collection.

    [use case]

    Sums up the elements of this collection.

    returns

      the sum of all elements in this collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the collection and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def sum[A1 >: A](implicit num: Numeric[A1]): A1

68. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

69. #### abstract def to[Col[_]]: Col[A]

    [use case] Converts this collection into another by copying all elements.

    [use case]

    Converts this collection into another by copying all elements.

    Note: will not terminate for infinite-sized collections.

    Col

      The collection type to build.

    returns

      a new collection containing all elements of this collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

70. #### abstract def toArray: Array[A]

    [use case] Converts this collection to an array.

    [use case]

    Converts this collection to an array.

    Note: will not terminate for infinite-sized collections.

    returns

      an array containing all elements of this collection. An `ClassTag` must be available for the element type of this collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toArray[A1 >: A](implicit arg0: ClassTag[A1]): Array[A1]

71. #### abstract def toMap[T, U]: Map[T, U]

    [use case] Converts this collection to a map.

    [use case]

    Converts this collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

    Note: will not terminate for infinite-sized collections.

    returns

      a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toMap[K, V](implicit ev: <:<[A, (K, V)]): GenMap[K, V]

72. #### def toParArray: ParArray[A]

    Implicit information
      This member is added by an implicit conversion from Reversed to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

73. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Transformed → Transformed → Transformed → AnyRef → Any

74. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): GenSeq[GenSeq[B]]

    Transposes this collection of traversable collections into a collection of collections.

    Transposes this collection of traversable collections into a collection of collections.

    B

      the type of the elements of each traversable collection.

    asTraversable

      an implicit conversion which asserts that the element type of this collection is a `Traversable`.

    returns

      a two-dimensional collection of collections which has as nth row the nth column of this collection.

    Definition Classes
      GenericTraversableTemplate
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

    Exceptions thrown
      `IllegalArgumentException`

      if all collections in this collection are not of the same size.

75. #### lazy val underlying: Coll

    Definition Classes
      Transformed → GenTraversableViewLike

76. #### def union(that: GenSeq[A]): CC[A]

    [use case] Produces a new sequence which contains all elements of this collection and also all elements of a given sequence.

    [use case]

    Produces a new sequence which contains all elements of this collection and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

    Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to add.

    returns

      a new collection which contains all elements of this collection followed by all elements of `that`.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def union[B >: A, That](that: GenSeq[B])(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

77. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (GenSeq[A1], GenSeq[A2])

    Converts this collection of pairs into two collections of the first and second half of each pair.

    Converts this collection of pairs into two collections of the first and second half of each pair.

    A1

      the type of the first half of the element pairs

    A2

      the type of the second half of the element pairs

    asPair

      an implicit conversion which asserts that the element type of this collection is a pair.

    returns

      a pair collections, containing the first, respectively second half of each element pair of this collection.

    Definition Classes
      GenericTraversableTemplate

78. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (GenSeq[A1], GenSeq[A2], GenSeq[A3])

    Converts this collection of triples into three collections of the first, second, and third element of each triple.

    Converts this collection of triples into three collections of the first, second, and third element of each triple.

    A1

      the type of the first member of the element triples

    A2

      the type of the second member of the element triples

    A3

      the type of the third member of the element triples

    asTriple

      an implicit conversion which asserts that the element type of this collection is a triple.

    returns

      a triple collections, containing the first, second, respectively third member of each element triple of this collection.

    Definition Classes
      GenericTraversableTemplate

79. #### abstract def updated(index: Int, elem: A): CC[A]

    [use case] A copy of this collection with one single replaced element.

    [use case]

    A copy of this collection with one single replaced element.

    index

      the position of the replacement

    elem

      the replacing element

    returns

      a copy of this collection with the element at position `index` replaced by `elem`.

    Definition Classes
      GenSeqLike
    Full Signature

    #### abstract def updated[B >: A, That](index: Int, elem: B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], B, That]): That

80. #### final def viewIdString: String

    Attributes
      protected[this]
    Definition Classes
      Transformed → GenTraversableViewLike

81. #### final def viewIdentifier: String

    Attributes
      protected[this]
    Definition Classes
      Reversed → GenTraversableViewLike

82. #### def viewToString: String

    Definition Classes
      GenTraversableViewLike

83. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

84. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

85. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

86. #### abstract def zip[B](that: GenIterable[B]): CC[(A, B)]

    [use case] Returns a collection formed from this collection and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a collection formed from this collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    returns

      a new collection containing pairs consisting of corresponding elements of this collection and `that`. The length of the returned collection is the minimum of the lengths of this collection and `that`.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[GenSeqView[A, Coll], (A1, B), That]): That

87. #### abstract def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): CC[(A, B)]

    [use case] Returns a collection formed from this collection and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a collection formed from this collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    thisElem

      the element to be used to fill up the result if this collection is shorter than `that`.

    thatElem

      the element to be used to fill up the result if `that` is shorter than this collection.

    returns

      a new collection containing pairs consisting of corresponding elements of this collection and `that`. The length of the returned collection is the maximum of the lengths of this collection and `that`. If this collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this collection, `thatElem` values are used to pad the result.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[GenSeqView[A, Coll], (A1, B), That]): That

88. #### abstract def zipWithIndex: CC[(A, Int)]

    [use case] Zips this collection with its indices.

    [use case]

    Zips this collection with its indices.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      A new collection containing pairs consisting of all elements of this collection paired with their index. Indices start at `0`.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[GenSeqView[A, Coll], (A1, Int), That]): That

    Example:

    1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

89. #### def →[B](y: B): (Reversed, B)

    Implicit information
      This member is added by an implicit conversion from Reversed to ArrowAssoc[Reversed] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reversed to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reversed to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: Reversed

   Implicit information
     This member is added by an implicit conversion from Reversed to ArrowAssoc[Reversed] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: ArrowAssoc[Reversed]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: Reversed

   Implicit information
     This member is added by an implicit conversion from Reversed to Ensuring[Reversed] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reversed: Ensuring[Reversed]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Transformed[A]

### Inherited from GenSeqViewLike.Transformed[A]

### Inherited from GenSeqView[A, Coll]

### Inherited from GenSeqViewLike[A, Coll, GenSeqView[A, Coll]]

### Inherited from GenIterableView[A, Coll]

### Inherited from GenIterableViewLike[A, Coll, GenSeqView[A, Coll]]

### Inherited from GenTraversableView[A, Coll]

### Inherited from GenTraversableViewLike[A, Coll, GenSeqView[A, Coll]]

### Inherited from GenSeq[A]

### Inherited from GenIterable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, GenSeq]

### Inherited from HasNewBuilder[A, GenSeq[A]]

### Inherited from GenSeqLike[A, GenSeqView[A, Coll]]

### Inherited from Equals

### Inherited from GenIterableLike[A, GenSeqView[A, Coll]]

### Inherited from GenTraversableLike[A, GenSeqView[A, Coll]]

### Inherited from Parallelizable[A, ParSeq[A]]

### Inherited from GenTraversableOnce[A]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from Reversed to TraversableOps[A]

### Inherited by implicit conversion any2stringadd from Reversed to StringAdd

### Inherited by implicit conversion any2stringfmt from Reversed to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Reversed to ArrowAssoc[Reversed]

### Inherited by implicit conversion any2Ensuring from Reversed to Ensuring[Reversed]

### Ungrouped